//****************************************************************
//	TRABAJO ISBC : INTEGRACION JAVA-JESS. CASO DEL ELEVADOR	
//****************************************************************
//
//	Fichero:	CanvasDireccion.java
//	Autor:	
//	Modificado por:	Daniel Urieta Lopez
//	Proposito:	Contiene la clase CanvasDireccion que contiene
//			la parte grafica de la direccion del Ascensor.
//
//****************************************************************
import java.awt.*;
public class CanvasDireccion extends Canvas
{
  Polygon triangulo_arriba;
  Polygon triangulo_abajo;
  boolean arriba=false;
  boolean abajo=false;

  public CanvasDireccion()
  {
    setBackground(Color.white);

    setSize(20,25);
    int X[]={5,10,15};
    int Yab[]={15,22,15};
    int Yar[]={12,5,12};
    triangulo_abajo=new Polygon(X,Yab,3);
    triangulo_arriba=new Polygon(X,Yar,3);
  }

  public void SetDireccion(int dir_actual,int dir_programada)
  {
      arriba =( (dir_programada==Direccion.UP) || (dir_actual==Direccion.UP) );
      abajo =( (dir_programada==Direccion.DOWN) || (dir_actual==Direccion.DOWN) );
      repaint();
  }

  public void paint(Graphics g)
  {
    g.setColor(Color.blue);

    if (arriba)
      g.fillPolygon(triangulo_arriba);
    else
      g.drawPolygon(triangulo_arriba);

    if (abajo)
      g.fillPolygon(triangulo_abajo);
    else
      g.drawPolygon(triangulo_abajo);
  }


}
