//****************************************************************
//	TRABAJO ISBC : INTEGRACION JAVA-JESS. CASO DEL ELEVADOR	
//****************************************************************
//
//	Fichero:	CanvasEstado.java
//	Autor:	
//	Modificado por:	Daniel Urieta Lopez
//	Proposito:	Contiene la clase CanvasEstado que contiene la 
//			parte grafica que representa el estado del 
//			ascensor (PARADO o MOVIMIENTO).
//
//****************************************************************
import java.awt.*;
public class CanvasEstado extends Canvas
{
  boolean parado=true;

  public CanvasEstado()
  {
    setSize(13,13);
    this.setBackground(Color.white);
  }

  public void SetParado(boolean p)
  {
     parado=p;
     repaint();
  }

  public void paint(Graphics g)
  {
    if (parado)
      g.setColor(Color.red);
    else
      g.setColor(Color.blue);

    g.fillOval(7,7,10,10);
  }


}
