//****************************************************************
//	TRABAJO ISBC : INTEGRACION JAVA-JESS. CASO DEL ELEVADOR	
//****************************************************************
//
//	Fichero:	Motor.java
//	Autor:	
//	Modificado por:	Daniel Urieta Lopez
//	Proposito:	Contiene la clase Motor que es un thread.
//
//****************************************************************
public class Motor implements Runnable
{
  private boolean ascensor_en_movimiento=false;
  private int tiempo_mover=1500;
  private Thread motor_thread;

  public Motor()
  {
    motor_thread=new Thread(this);
    motor_thread.start();
    motor_thread.suspend();
  }
    
  public void MoverAscensor()
  {
    ascensor_en_movimiento=true;
    motor_thread.resume();
  }
  
  public boolean AscensorHaLlegado()
  {
    return (!ascensor_en_movimiento);
  }

  public void run()
  {
    while (true)
    {
      try
      {
        motor_thread.sleep(tiempo_mover);
      } catch (InterruptedException e){}

      ascensor_en_movimiento=false;
      motor_thread.suspend();
    }
  }

}
