//****************************************************************
//	TRABAJO ISBC : INTEGRACION JAVA-JESS. CASO DEL ELEVADOR
//****************************************************************
//
//	Fichero:	CanvasPasajero.java
//	Autor:
//	Modificado por:	Daniel Urieta Lopez
//	Proposito:	Contiene la clase CanvasPasajero que representa
//			textualmente los pasajeros de un vector de
//			pasajeros.
//
//****************************************************************
import java.awt.*;
import java.util.*;
public class CanvasPasajero extends Canvas
{
  
  Vector pasajeros;

  public CanvasPasajero(Vector p)
  {
    setSize(70,50);
    pasajeros=p;
  }

  public CanvasPasajero(Vector p,int X,int Y)
  {
    setSize(X,Y);
    pasajeros=p;

    this.setBackground(Color.white);
  }
 
  public void paint(Graphics g)
  {
    g.setColor(Color.black);

    int Y=35;
    Pasajero P;
    int id, Or, De;

    Enumeration enum=pasajeros.elements();

    g.drawString("  ID    Or    De ",2,15);
    g.drawLine(2,20,75,20);

    while (enum.hasMoreElements())
    {
      P=(Pasajero) enum.nextElement();

      id=P.GetIdPasajero();
      Or=P.GetPisoInicial().GetIdPiso();
      De=P.GetPisoDestino().GetIdPiso();

      g.drawString(String.valueOf(id),10,Y);
      g.drawString(String.valueOf(Or),32,Y);
      g.drawString(String.valueOf(De),60,Y);

      Y=Y+12;
    }
  }
}

