//****************************************************************
//	TRABAJO ISBC : INTEGRACION JAVA-JESS. CASO DEL ELEVADOR	
//****************************************************************
//
//	Fichero:	PanelAscensor.java
//	Autor:	
//	Modificado por:	Daniel Urieta Lopez
//    David Portols: 17/11/2001
//      Aadido constructor sin parametros para VentanaAscensores
//	Proposito:	Contiene la clase PanelAscensor que es recoge
//			las estructuras que representan el estado del
//			ascensor en las ventanas de la aplicacion.
//
//****************************************************************
import java.awt.*;
import CanvasDireccion;
import TextPiso;

import javax.swing.*;
import javax.swing.border.LineBorder;

public class PanelAscensor extends JPanel {
  public CanvasPisoAscensor piso;
  public CanvasEstado estado;
  public CanvasBotones botones;

  public CanvasPasajero2 pasajeros;

  public PanelAscensor()  {
    super();
  }

  public PanelAscensor(int id_ascensor)  {

    this.setSize(300,300);

    piso=new CanvasPisoAscensor();
    estado = new CanvasEstado();
    pasajeros = new CanvasPasajero2();
    botones = new CanvasBotones();

    JPanel panelMedio = new JPanel();
    panelMedio.setLayout(new BorderLayout());
    panelMedio.add(piso, BorderLayout.CENTER);

    JPanel panelSuperior = new JPanel();
        panelSuperior.setLayout(new GridLayout(1,1));
    panelSuperior.add(panelMedio);

    this.setLayout(new BorderLayout());
    this.add(botones, BorderLayout.WEST);
    this.add(panelSuperior, BorderLayout.NORTH);
    this.add(pasajeros, BorderLayout.CENTER);

    this.setBorder(new LineBorder(Color.black));
  }

  void setPasajeros(CanvasPasajero2 c) {
    this.remove(pasajeros);
    pasajeros = c;
    this.add(pasajeros, BorderLayout.CENTER);
  }
}
