//****************************************************************
//	TRABAJO ISBC : INTEGRACION JAVA-JESS. CASO DEL ELEVADOR
//****************************************************************
//
//	Fichero:	PanelLlamada.java
//	Autor:
//	Modificado por:	Daniel Urieta Lopez
//	Proposito:	Contiene la clase PanelLlamada que recoge por
//			cada piso, la llamada al ascensor y la direccion
//			en la que ha de funcionar este para llegar a el.
//
//****************************************************************
import boton;
public class PanelLlamada
{
  private boton arriba;
  private boton abajo;

  public PanelLlamada()
  {
    arriba=new boton();
    abajo=new boton();
  }

  public void LlamarAlAscensor(int direccion)
  {
    if (direccion==Direccion.UP)
      arriba.SetPulsado(true);  
    else
      abajo.SetPulsado(true);
   }

  public void ResetPanelLlamada(int direccion)
  {
    if (direccion==Direccion.UP)
      arriba.SetPulsado(false);  
    else
      abajo.SetPulsado(false);
  }

  public boolean LlamadaPendiente(int direccion)
  {
    if (direccion==Direccion.UP)
      return arriba.IsPulsado();
    else
      return abajo.IsPulsado();
  }
}
