// Tomado integramente de la web de IBM
// http://www-106.ibm.com/developerworks/java/library/position-layout-manager.html?dwzone=java
// Articulo titulado: Implementing a Position Layout Manager in Java
// Autor: Scott M. Consolatti
// Compaia: IBM
// Fecha: March 1998
// Modificaciones: David Portoles: 08/12/2001

package PositionLayoutManager;
         //--
         // A simple alternative to LayoutManager2 that provides for a
         // consistent way of getting and setting constraints for the
         // components in a container.
         //--
         import java.awt.*;
         import java.io.*;
         import PositionLayout.*;

         public interface LayoutManager3 extends LayoutManager, Cloneable
         {
           public abstract Object getConstraints(Component comp);
           public abstract void setConstraints(Component comp, Object cons);
           public abstract Object clone();
         }
